<ui:composition xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml">

    <div class="row">
        <div class="col-md-12">
            <h:form id="globalform">
                <h1>#{title}</h1>
                #{validatorAssociationManager.initSelectedValidatorAssociation()}
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:param name="styleClass" value="panel-info"/>
                    <ui:define name="panel_title">#{title}</ui:define>
                    <s:decorate id="validatorNameDecoration"
                                template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.ValidatorName_2']}</ui:define>
                        <ui:param name="id"
                                  value="validatorNameInput"/>
                        <h:selectOneMenu id="validatorNameInput" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{validatorAssociationManager.selectedValidatorAssociation.validatorName}">
                            <f:selectItems value="#{validatorAssociationManager.getAvailableValidators()}"/>
                        </h:selectOneMenu>
                    </s:decorate>

                    <s:decorate template="/layout/form/_edit.xhtml" id="javaPackagesDecoration">
                        <ui:define name="label">#{messages['net.ihe.gazelle.JAVAPackages']}</ui:define>
                        <ui:param name="id" value="javaPackagesInput"/>
                        <rich:pickList id="javaPackagesInput"
                                       value="#{validatorAssociationManager.selectedValidatorAssociation.packageList}" listWidth="500px">
                            <s:selectItems value="#{validatorAssociationManager.getAvailablePackages()}"
                                           var="currentPackage"
                                           label="#{currentPackage.name}"/>
                        </rich:pickList>
                    </s:decorate>

                    <s:decorate template="/layout/form/_edit.xhtml" id="bbrParentsDecoration">
                        <ui:define name="label">#{messages['net.ihe.gazelle.InheritFrom']}</ui:define>
                        <ui:param name="id" value="bbrParentsInput"/>
                        <rich:pickList id="bbrParentsInput"
                                       value="#{validatorAssociationManager.selectedValidatorAssociation.validatorAssociationParents}" listWidth="500px">
                            <s:selectItems value="#{validatorAssociationManager.getAvailableValidatorAssociationParents()}"
                                           var="currentBbr"
                                           label="#{currentBbr.validatorName}"/>
                        </rich:pickList>
                    </s:decorate>
                    
                    <s:decorate template="/layout/form/_edit.xhtml" id="tcDecoration">
                        <ui:define name="label">#{messages['net.ihe.gazelle.TemplatesContainment']}</ui:define>
                        <ui:param name="id" value="tcdescInput"/>
                        <h:selectOneMenu id="tcdescInput" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{validatorAssociationManager.selectedValidatorAssociation.tcDescriber}">
                            <f:selectItems value="#{validatorAssociationManager.getAvailableTCDescribers()}"
                             	var="tcd"
                            	itemLabel="#{tcd.tcName}"/>
                        </h:selectOneMenu>
                    </s:decorate>

                    <ui:define name="panel_footer">
                        <h:commandButton id="saveValidatorAssociation"
                                         value="#{messages['gazelle.simulator.Save']}"
                                         action="#{validatorAssociationManager.save()}"
                                         styleClass="gzl-btn-green"/>
                        <h:commandLink value="#{messages['net.ihe.gazelle.cdagen.Back']}"
                                       styleClass="gzl-btn"
                                       onclick="window.history.go(-1); return false;"/>
                    </ui:define>
                </ui:decorate>
            </h:form>
        </div>
    </div>
</ui:composition>